pragma Singleton

import QtQuick 2.4
import MeuiKit.Core 1.0 as MeuiKitCore

QtObject {
    id: theme

    property bool darkMode: MeuiKitCore.ThemeManager.darkMode

    property color blueColor: MeuiKitCore.ThemeManager.blueColor
    property color redColor: MeuiKitCore.ThemeManager.redColor
    property color greenColor: MeuiKitCore.ThemeManager.greenColor
    property color purpleColor: MeuiKitCore.ThemeManager.purpleColor
    property color pinkColor: MeuiKitCore.ThemeManager.pinkColor
    property color orangeColor: MeuiKitCore.ThemeManager.orangeColor

    property color primaryBackgroundColor: darkMode ? "#2c2c39" : "#edf5ff"
    property color secondaryBackgroundColor: darkMode ? "#22222c" : "#dce4ed"
    property color tertiaryBackgroundColor: darkMode ? "#16161d" : "#ced5de"

    property color textColor: darkMode ? "#FFFFFF" : "#171A20"
    property color disabledTextColor: darkMode ? "#888888" : "#5c5c5c"

    property color highlightColor: MeuiKitCore.ThemeManager.accentColor
    property color highlightedTextColor: darkMode ? "#FFFFFF" : "#FFFFFF"

    property color activeTextColor: "#0176D3"
    property color activeBackgroundColor: "#0176D3"

    property color linkColor: "#2196F3"
    property color linkBackgroundColor: "#2196F3"
    property color visitedLinkColor: "#2196F3"
    property color visitedLinkBackgroundColor: "#2196F3"

    property color titleBarTextColor: darkMode ? "#cacbce" : "#383838"

    property font defaultFont: fontMetrics.font
    property font smallFont: {
        let font = fontMetrics.font
        if (!!font.pixelSize) {
            font.pixelSize =- 2
        } else {
            font.pointSize =- 2
        }
        return font
    }

    property list<QtObject> children: [
        TextMetrics {
            id: fontMetrics
        }
    ]
}
