import QtQuick 2.4
import QtQuick.Templates 2.4 as T
import MeuiKit 1.0 as Meui
import QtQuick.Controls.impl 2.4

T.Button
{
    id: control
    implicitWidth: Math.max(background.implicitWidth, contentItem.implicitWidth + Meui.Units.largeSpacing * 2)
    implicitHeight: background.implicitHeight
    hoverEnabled: true

    icon.width: Meui.Units.iconSizes.small
    icon.height: Meui.Units.iconSizes.small

    icon.color: control.enabled ? (control.highlighted ? control.Meui.Theme.highlightColor : control.Meui.Theme.textColor) : control.Meui.Theme.disabledTextColor
    spacing: Meui.Units.smallSpacing

    contentItem: Label {
        text: control.text
        color: !control.enabled ? control.Meui.Theme.disabledTextColor :
        control.highlighted || control.pressed ? control.Meui.Theme.highlightedTextColor : control.Meui.Theme.textColor
        horizontalAlignment: Text.AlignHCenter
    }

    background: Rectangle {
        implicitWidth:  (Meui.Units.iconSizes.medium * 3) + Meui.Units.largeSpacing
        implicitHeight: Meui.Units.iconSizes.medium + Meui.Units.smallSpacing

        color: control.pressed ? Meui.Theme.highlightColor
            : Meui.Theme.primaryBackgroundColor
        ColorAnimation {
            duration: 90
            easing.type: Easing.InOutCubic
            id: _anim
        }
        Behavior on color {
            animation: _anim
        }
        border.color: control.activeFocus || control.pressed ? Meui.Theme.highlightColor :
                      Qt.tint(Meui.Theme.textColor, Qt.rgba(Meui.Theme.primaryBackgroundColor.r, Meui.Theme.primaryBackgroundColor.g, Meui.Theme.primaryBackgroundColor.b, 0.7))
        Behavior on border.color {
            animation: _anim
        }
        border.width: Meui.Units.devicePixelRatio
        radius: Meui.Units.smallRadius
    }
}
