import QtQuick 2.12
import QtQuick.Templates 2.12 as T
import QtQuick.Controls 2.12
import QtQuick.Controls.impl 2.12
import MeuiKit 1.0 as Meui

T.PageIndicator {
    id: control

    implicitWidth: Math.max(implicitBackgroundWidth + leftInset + rightInset,
                            implicitContentWidth + leftPadding + rightPadding)
    implicitHeight: Math.max(implicitBackgroundHeight + topInset + bottomInset,
                             implicitContentHeight + topPadding + bottomPadding)

    spacing: Meui.Units.smallSpacing

    delegate: Rectangle {
        implicitWidth: Meui.Units.smallRadius
        implicitHeight: Meui.Units.smallRadius

        radius: width / 2
        color: Meui.Theme.textColor
        opacity: index === control.currentIndex ? 1.0 : 0.4
    }

    contentItem: Row {
        spacing: control.spacing

        Repeater {
            model: control.count
            delegate: control.delegate
        }
    }
}
